config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/rc.syslog-ng.new
config etc/syslog-ng/scl.conf.new
config etc/syslog-ng/syslog-ng.conf.new
config etc/logrotate.d/syslog-ng.new

( cd usr/lib64 ; rm -rf libevtlog-3.35.so.0 )
( cd usr/lib64 ; ln -sf libevtlog-3.35.so.0.0.0 libevtlog-3.35.so.0 )
( cd usr/lib64 ; rm -rf libevtlog.so )
( cd usr/lib64 ; ln -sf libevtlog-3.35.so.0.0.0 libevtlog.so )
( cd usr/lib64 ; rm -rf libloggen_helper-3.35.so.0 )
( cd usr/lib64 ; ln -sf libloggen_helper-3.35.so.0.0.0 libloggen_helper-3.35.so.0 )
( cd usr/lib64 ; rm -rf libloggen_helper.so )
( cd usr/lib64 ; ln -sf libloggen_helper-3.35.so.0.0.0 libloggen_helper.so )
( cd usr/lib64 ; rm -rf libloggen_plugin-3.35.so.0 )
( cd usr/lib64 ; ln -sf libloggen_plugin-3.35.so.0.0.0 libloggen_plugin-3.35.so.0 )
( cd usr/lib64 ; rm -rf libloggen_plugin.so )
( cd usr/lib64 ; ln -sf libloggen_plugin-3.35.so.0.0.0 libloggen_plugin.so )
( cd usr/lib64 ; rm -rf libsecret-storage.so )
( cd usr/lib64 ; ln -sf libsecret-storage.so.0.0.0 libsecret-storage.so )
( cd usr/lib64 ; rm -rf libsecret-storage.so.0 )
( cd usr/lib64 ; ln -sf libsecret-storage.so.0.0.0 libsecret-storage.so.0 )
( cd usr/lib64 ; rm -rf libsyslog-ng-3.35.so.0 )
( cd usr/lib64 ; ln -sf libsyslog-ng-3.35.so.0.0.0 libsyslog-ng-3.35.so.0 )
( cd usr/lib64 ; rm -rf libsyslog-ng.so )
( cd usr/lib64 ; ln -sf libsyslog-ng-3.35.so.0.0.0 libsyslog-ng.so )
